%define libname %mklibname %name

Summary: Network-related GIO modules
Name: glib-networking
Version: 2.55.2
Release: %mkrel 2
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
License: LGPLv2+
Group:System/Libraries
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------------
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gnutls-devel
BuildRequires: lib64proxy-devel
BuildRequires: p11-kit-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: intltool
BuildRequires: meson
#---------------------------------------------------
Requires: %libname = %version
Obsoletes: 	%{name} < %version

%description
This package contains the network-related GIO modules for Glib.

%package -n %libname
Summary: Network-related GIO modules
Group: System/Libraries
Requires: %name >= %version-%release

%description -n %libname
This package contains the network-related GIO modules for Glib.

%prep
%setup -q

%build
%meson -Denable_docs=true -Denable-introspection=yes -Denable-x11=true
%meson_build

%install
rm -rf %{buildroot}
%meson_install

rm -f %buildroot/%_libdir/gio/modules/*.la
rm -f %buildroot/usr/lib/systemd/user/glib-pacrunner.service

%find_lang %name

%post -n %libname
%ifarch %{ix86}
%{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules 
%else
%{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 
%endif


%postun -n %libname
%ifarch %{ix86}
%{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules 
%else
%{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README
%{_datadir}/installed-tests/glib-networking/*.test
%_libexecdir/glib-pacrunner
%_datadir/dbus-1/services/*.service


%files -n %libname
%defattr(-,root,root)
%_libdir/gio/modules/*.so

%clean
rm -rf %{buildroot}


%changelog
* Thu Jan 11 2018 bb2 <b2> - 2.55.2-2pclos2018
- rebuild for missing package

* Tue Jan 09 2018 tex - 2.55.2-1pclos2018
- new version

* Fri Mar 17 2017 bb2 <bb2> - 2.46.1-2pclos2017
- rebuild new gnutls
